package com.tuoheng.miniprogram.enums;

/**
 * @Author ChengWang
 * @Date 2022/12/6
 */
public enum  WorkOrderStatusEnum {

    STATUS_ALLOCATED(5, "工单待分配"),
    STATUS_ASSIGNED(10, "工单处理中已分配"),
    STATUS_COMPLETED(15, "工单已完成");

    /**
     * 编码
     */
    private int code;

    /**
     * 状态信息
     */
    private String msg;

    WorkOrderStatusEnum(int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

}
